Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/7
Addresses2^121
/64 networks2^57
Network
2200::/7
First address
2200::
Last address
23ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
/64 networks (LANs)
144,115,188,075,855,872 (2^57)
Full form
2200:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
2.2.ip6.arpa
3.2.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets/20

2200::/7 makes 8,192 subnets of /20; the first 256 are listed.

Subnets
#SubnetLast address
12200::/202200:fff:ffff:ffff:ffff:ffff:ffff:ffff
22200:1000::/202200:1fff:ffff:ffff:ffff:ffff:ffff:ffff
32200:2000::/202200:2fff:ffff:ffff:ffff:ffff:ffff:ffff
42200:3000::/202200:3fff:ffff:ffff:ffff:ffff:ffff:ffff
52200:4000::/202200:4fff:ffff:ffff:ffff:ffff:ffff:ffff
62200:5000::/202200:5fff:ffff:ffff:ffff:ffff:ffff:ffff
72200:6000::/202200:6fff:ffff:ffff:ffff:ffff:ffff:ffff
82200:7000::/202200:7fff:ffff:ffff:ffff:ffff:ffff:ffff
92200:8000::/202200:8fff:ffff:ffff:ffff:ffff:ffff:ffff
102200:9000::/202200:9fff:ffff:ffff:ffff:ffff:ffff:ffff
112200:a000::/202200:afff:ffff:ffff:ffff:ffff:ffff:ffff
122200:b000::/202200:bfff:ffff:ffff:ffff:ffff:ffff:ffff
132200:c000::/202200:cfff:ffff:ffff:ffff:ffff:ffff:ffff
142200:d000::/202200:dfff:ffff:ffff:ffff:ffff:ffff:ffff
152200:e000::/202200:efff:ffff:ffff:ffff:ffff:ffff:ffff
162200:f000::/202200:ffff:ffff:ffff:ffff:ffff:ffff:ffff
172201::/202201:fff:ffff:ffff:ffff:ffff:ffff:ffff
182201:1000::/202201:1fff:ffff:ffff:ffff:ffff:ffff:ffff
192201:2000::/202201:2fff:ffff:ffff:ffff:ffff:ffff:ffff
202201:3000::/202201:3fff:ffff:ffff:ffff:ffff:ffff:ffff
212201:4000::/202201:4fff:ffff:ffff:ffff:ffff:ffff:ffff
222201:5000::/202201:5fff:ffff:ffff:ffff:ffff:ffff:ffff
232201:6000::/202201:6fff:ffff:ffff:ffff:ffff:ffff:ffff
242201:7000::/202201:7fff:ffff:ffff:ffff:ffff:ffff:ffff
252201:8000::/202201:8fff:ffff:ffff:ffff:ffff:ffff:ffff
262201:9000::/202201:9fff:ffff:ffff:ffff:ffff:ffff:ffff
272201:a000::/202201:afff:ffff:ffff:ffff:ffff:ffff:ffff
282201:b000::/202201:bfff:ffff:ffff:ffff:ffff:ffff:ffff
292201:c000::/202201:cfff:ffff:ffff:ffff:ffff:ffff:ffff
302201:d000::/202201:dfff:ffff:ffff:ffff:ffff:ffff:ffff
312201:e000::/202201:efff:ffff:ffff:ffff:ffff:ffff:ffff
322201:f000::/202201:ffff:ffff:ffff:ffff:ffff:ffff:ffff
332202::/202202:fff:ffff:ffff:ffff:ffff:ffff:ffff
342202:1000::/202202:1fff:ffff:ffff:ffff:ffff:ffff:ffff
352202:2000::/202202:2fff:ffff:ffff:ffff:ffff:ffff:ffff
362202:3000::/202202:3fff:ffff:ffff:ffff:ffff:ffff:ffff
372202:4000::/202202:4fff:ffff:ffff:ffff:ffff:ffff:ffff
382202:5000::/202202:5fff:ffff:ffff:ffff:ffff:ffff:ffff
392202:6000::/202202:6fff:ffff:ffff:ffff:ffff:ffff:ffff
402202:7000::/202202:7fff:ffff:ffff:ffff:ffff:ffff:ffff
412202:8000::/202202:8fff:ffff:ffff:ffff:ffff:ffff:ffff
422202:9000::/202202:9fff:ffff:ffff:ffff:ffff:ffff:ffff
432202:a000::/202202:afff:ffff:ffff:ffff:ffff:ffff:ffff
442202:b000::/202202:bfff:ffff:ffff:ffff:ffff:ffff:ffff
452202:c000::/202202:cfff:ffff:ffff:ffff:ffff:ffff:ffff
462202:d000::/202202:dfff:ffff:ffff:ffff:ffff:ffff:ffff
472202:e000::/202202:efff:ffff:ffff:ffff:ffff:ffff:ffff
482202:f000::/202202:ffff:ffff:ffff:ffff:ffff:ffff:ffff
492203::/202203:fff:ffff:ffff:ffff:ffff:ffff:ffff
502203:1000::/202203:1fff:ffff:ffff:ffff:ffff:ffff:ffff
512203:2000::/202203:2fff:ffff:ffff:ffff:ffff:ffff:ffff
522203:3000::/202203:3fff:ffff:ffff:ffff:ffff:ffff:ffff
532203:4000::/202203:4fff:ffff:ffff:ffff:ffff:ffff:ffff
542203:5000::/202203:5fff:ffff:ffff:ffff:ffff:ffff:ffff
552203:6000::/202203:6fff:ffff:ffff:ffff:ffff:ffff:ffff
562203:7000::/202203:7fff:ffff:ffff:ffff:ffff:ffff:ffff
572203:8000::/202203:8fff:ffff:ffff:ffff:ffff:ffff:ffff
582203:9000::/202203:9fff:ffff:ffff:ffff:ffff:ffff:ffff
592203:a000::/202203:afff:ffff:ffff:ffff:ffff:ffff:ffff
602203:b000::/202203:bfff:ffff:ffff:ffff:ffff:ffff:ffff
612203:c000::/202203:cfff:ffff:ffff:ffff:ffff:ffff:ffff
622203:d000::/202203:dfff:ffff:ffff:ffff:ffff:ffff:ffff
632203:e000::/202203:efff:ffff:ffff:ffff:ffff:ffff:ffff
642203:f000::/202203:ffff:ffff:ffff:ffff:ffff:ffff:ffff
652204::/202204:fff:ffff:ffff:ffff:ffff:ffff:ffff
662204:1000::/202204:1fff:ffff:ffff:ffff:ffff:ffff:ffff
672204:2000::/202204:2fff:ffff:ffff:ffff:ffff:ffff:ffff
682204:3000::/202204:3fff:ffff:ffff:ffff:ffff:ffff:ffff
692204:4000::/202204:4fff:ffff:ffff:ffff:ffff:ffff:ffff
702204:5000::/202204:5fff:ffff:ffff:ffff:ffff:ffff:ffff
712204:6000::/202204:6fff:ffff:ffff:ffff:ffff:ffff:ffff
722204:7000::/202204:7fff:ffff:ffff:ffff:ffff:ffff:ffff
732204:8000::/202204:8fff:ffff:ffff:ffff:ffff:ffff:ffff
742204:9000::/202204:9fff:ffff:ffff:ffff:ffff:ffff:ffff
752204:a000::/202204:afff:ffff:ffff:ffff:ffff:ffff:ffff
762204:b000::/202204:bfff:ffff:ffff:ffff:ffff:ffff:ffff
772204:c000::/202204:cfff:ffff:ffff:ffff:ffff:ffff:ffff
782204:d000::/202204:dfff:ffff:ffff:ffff:ffff:ffff:ffff
792204:e000::/202204:efff:ffff:ffff:ffff:ffff:ffff:ffff
802204:f000::/202204:ffff:ffff:ffff:ffff:ffff:ffff:ffff
812205::/202205:fff:ffff:ffff:ffff:ffff:ffff:ffff
822205:1000::/202205:1fff:ffff:ffff:ffff:ffff:ffff:ffff
832205:2000::/202205:2fff:ffff:ffff:ffff:ffff:ffff:ffff
842205:3000::/202205:3fff:ffff:ffff:ffff:ffff:ffff:ffff
852205:4000::/202205:4fff:ffff:ffff:ffff:ffff:ffff:ffff
862205:5000::/202205:5fff:ffff:ffff:ffff:ffff:ffff:ffff
872205:6000::/202205:6fff:ffff:ffff:ffff:ffff:ffff:ffff
882205:7000::/202205:7fff:ffff:ffff:ffff:ffff:ffff:ffff
892205:8000::/202205:8fff:ffff:ffff:ffff:ffff:ffff:ffff
902205:9000::/202205:9fff:ffff:ffff:ffff:ffff:ffff:ffff
912205:a000::/202205:afff:ffff:ffff:ffff:ffff:ffff:ffff
922205:b000::/202205:bfff:ffff:ffff:ffff:ffff:ffff:ffff
932205:c000::/202205:cfff:ffff:ffff:ffff:ffff:ffff:ffff
942205:d000::/202205:dfff:ffff:ffff:ffff:ffff:ffff:ffff
952205:e000::/202205:efff:ffff:ffff:ffff:ffff:ffff:ffff
962205:f000::/202205:ffff:ffff:ffff:ffff:ffff:ffff:ffff
972206::/202206:fff:ffff:ffff:ffff:ffff:ffff:ffff
982206:1000::/202206:1fff:ffff:ffff:ffff:ffff:ffff:ffff
992206:2000::/202206:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1002206:3000::/202206:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1012206:4000::/202206:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1022206:5000::/202206:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1032206:6000::/202206:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1042206:7000::/202206:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1052206:8000::/202206:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1062206:9000::/202206:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1072206:a000::/202206:afff:ffff:ffff:ffff:ffff:ffff:ffff
1082206:b000::/202206:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1092206:c000::/202206:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1102206:d000::/202206:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1112206:e000::/202206:efff:ffff:ffff:ffff:ffff:ffff:ffff
1122206:f000::/202206:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1132207::/202207:fff:ffff:ffff:ffff:ffff:ffff:ffff
1142207:1000::/202207:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1152207:2000::/202207:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1162207:3000::/202207:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1172207:4000::/202207:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1182207:5000::/202207:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1192207:6000::/202207:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1202207:7000::/202207:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1212207:8000::/202207:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1222207:9000::/202207:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1232207:a000::/202207:afff:ffff:ffff:ffff:ffff:ffff:ffff
1242207:b000::/202207:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1252207:c000::/202207:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1262207:d000::/202207:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1272207:e000::/202207:efff:ffff:ffff:ffff:ffff:ffff:ffff
1282207:f000::/202207:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1292208::/202208:fff:ffff:ffff:ffff:ffff:ffff:ffff
1302208:1000::/202208:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1312208:2000::/202208:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1322208:3000::/202208:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1332208:4000::/202208:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1342208:5000::/202208:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1352208:6000::/202208:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1362208:7000::/202208:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1372208:8000::/202208:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1382208:9000::/202208:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1392208:a000::/202208:afff:ffff:ffff:ffff:ffff:ffff:ffff
1402208:b000::/202208:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1412208:c000::/202208:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1422208:d000::/202208:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1432208:e000::/202208:efff:ffff:ffff:ffff:ffff:ffff:ffff
1442208:f000::/202208:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1452209::/202209:fff:ffff:ffff:ffff:ffff:ffff:ffff
1462209:1000::/202209:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1472209:2000::/202209:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1482209:3000::/202209:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1492209:4000::/202209:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1502209:5000::/202209:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1512209:6000::/202209:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1522209:7000::/202209:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1532209:8000::/202209:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1542209:9000::/202209:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1552209:a000::/202209:afff:ffff:ffff:ffff:ffff:ffff:ffff
1562209:b000::/202209:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1572209:c000::/202209:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1582209:d000::/202209:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1592209:e000::/202209:efff:ffff:ffff:ffff:ffff:ffff:ffff
1602209:f000::/202209:ffff:ffff:ffff:ffff:ffff:ffff:ffff
161220a::/20220a:fff:ffff:ffff:ffff:ffff:ffff:ffff
162220a:1000::/20220a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
163220a:2000::/20220a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
164220a:3000::/20220a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
165220a:4000::/20220a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
166220a:5000::/20220a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
167220a:6000::/20220a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
168220a:7000::/20220a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
169220a:8000::/20220a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
170220a:9000::/20220a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
171220a:a000::/20220a:afff:ffff:ffff:ffff:ffff:ffff:ffff
172220a:b000::/20220a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
173220a:c000::/20220a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
174220a:d000::/20220a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
175220a:e000::/20220a:efff:ffff:ffff:ffff:ffff:ffff:ffff
176220a:f000::/20220a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
177220b::/20220b:fff:ffff:ffff:ffff:ffff:ffff:ffff
178220b:1000::/20220b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
179220b:2000::/20220b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
180220b:3000::/20220b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
181220b:4000::/20220b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
182220b:5000::/20220b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
183220b:6000::/20220b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
184220b:7000::/20220b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
185220b:8000::/20220b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
186220b:9000::/20220b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
187220b:a000::/20220b:afff:ffff:ffff:ffff:ffff:ffff:ffff
188220b:b000::/20220b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
189220b:c000::/20220b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
190220b:d000::/20220b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
191220b:e000::/20220b:efff:ffff:ffff:ffff:ffff:ffff:ffff
192220b:f000::/20220b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193220c::/20220c:fff:ffff:ffff:ffff:ffff:ffff:ffff
194220c:1000::/20220c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
195220c:2000::/20220c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
196220c:3000::/20220c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
197220c:4000::/20220c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
198220c:5000::/20220c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
199220c:6000::/20220c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
200220c:7000::/20220c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
201220c:8000::/20220c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
202220c:9000::/20220c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
203220c:a000::/20220c:afff:ffff:ffff:ffff:ffff:ffff:ffff
204220c:b000::/20220c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
205220c:c000::/20220c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
206220c:d000::/20220c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
207220c:e000::/20220c:efff:ffff:ffff:ffff:ffff:ffff:ffff
208220c:f000::/20220c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
209220d::/20220d:fff:ffff:ffff:ffff:ffff:ffff:ffff
210220d:1000::/20220d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
211220d:2000::/20220d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
212220d:3000::/20220d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
213220d:4000::/20220d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
214220d:5000::/20220d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
215220d:6000::/20220d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
216220d:7000::/20220d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
217220d:8000::/20220d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
218220d:9000::/20220d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
219220d:a000::/20220d:afff:ffff:ffff:ffff:ffff:ffff:ffff
220220d:b000::/20220d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
221220d:c000::/20220d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
222220d:d000::/20220d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
223220d:e000::/20220d:efff:ffff:ffff:ffff:ffff:ffff:ffff
224220d:f000::/20220d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
225220e::/20220e:fff:ffff:ffff:ffff:ffff:ffff:ffff
226220e:1000::/20220e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
227220e:2000::/20220e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
228220e:3000::/20220e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
229220e:4000::/20220e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
230220e:5000::/20220e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
231220e:6000::/20220e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
232220e:7000::/20220e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
233220e:8000::/20220e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
234220e:9000::/20220e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
235220e:a000::/20220e:afff:ffff:ffff:ffff:ffff:ffff:ffff
236220e:b000::/20220e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
237220e:c000::/20220e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
238220e:d000::/20220e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
239220e:e000::/20220e:efff:ffff:ffff:ffff:ffff:ffff:ffff
240220e:f000::/20220e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
241220f::/20220f:fff:ffff:ffff:ffff:ffff:ffff:ffff
242220f:1000::/20220f:1fff:ffff:ffff:ffff:ffff:ffff:ffff
243220f:2000::/20220f:2fff:ffff:ffff:ffff:ffff:ffff:ffff
244220f:3000::/20220f:3fff:ffff:ffff:ffff:ffff:ffff:ffff
245220f:4000::/20220f:4fff:ffff:ffff:ffff:ffff:ffff:ffff
246220f:5000::/20220f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
247220f:6000::/20220f:6fff:ffff:ffff:ffff:ffff:ffff:ffff
248220f:7000::/20220f:7fff:ffff:ffff:ffff:ffff:ffff:ffff
249220f:8000::/20220f:8fff:ffff:ffff:ffff:ffff:ffff:ffff
250220f:9000::/20220f:9fff:ffff:ffff:ffff:ffff:ffff:ffff
251220f:a000::/20220f:afff:ffff:ffff:ffff:ffff:ffff:ffff
252220f:b000::/20220f:bfff:ffff:ffff:ffff:ffff:ffff:ffff
253220f:c000::/20220f:cfff:ffff:ffff:ffff:ffff:ffff:ffff
254220f:d000::/20220f:dfff:ffff:ffff:ffff:ffff:ffff:ffff
255220f:e000::/20220f:efff:ffff:ffff:ffff:ffff:ffff:ffff
256220f:f000::/20220f:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses